AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

# <compat/deprecated.h>: Deprecated items

## Detailed Description

This header file contains several items that used to be available in previous versions of this library, but have eventually been deprecated over time.

     #include <compat/deprecated.h>

These items are supplied within that header file for backward compatibility reasons only, so old source code that has been written for previous library versions could easily be maintained until its end-of-life. Use of any of these items in new code is strongly discouraged.

## Define Documentation

#define cbi | ( | port,
|  | bit |  | ) | (port) &= ~(1 << (bit))

Deprecated:

Clear `bit` in IO port `port`.

#define enable_external_int | ( | mask |  | ) | (__EICR = mask)

Deprecated:

This macro gives access to the `GIMSK` register (or `EIMSK` register if using an AVR Mega device or `GICR` register for others). Although this macro is essentially the same as assigning to the register, it does adapt slightly to the type of device being used. This macro is unavailable if none of the registers listed above are defined.

#define inb | ( | port |  | ) | (port)

Deprecated:

Read a value from an IO port `port`.

#define inp | ( | port |  | ) | (port)

Deprecated:

Read a value from an IO port `port`.

#define INTERRUPT | ( | signame |  | ) |

Value:

    void signame (void) __attribute__ ((interrupt,__INTR_ATTRS));   \
    void signame (void)

Deprecated:

Introduces an interrupt handler function that runs with global interrupts initially enabled. This allows interrupt handlers to be interrupted.

As this macro has been used by too many unsuspecting people in the past, it has been deprecated, and will be removed in a future version of the library. Users who want to legitimately re-enable interrupts in their interrupt handlers as quickly as possible are encouraged to explicitly declare their handlers as described above.

#define outb | ( | port,
|  | val |  | ) | (port) = (val)

Deprecated:

Write `val` to IO port `port`.

#define outp | ( | val,
|  | port |  | ) | (port) = (val)

Deprecated:

Write `val` to IO port `port`.

#define sbi | ( | port,
|  | bit |  | ) | (port) |= (1 << (bit))

Deprecated:

Set `bit` in IO port `port`.

## Function Documentation

static __inline__ void timer_enable_int | ( | unsigned char | ints | ) | `[static]`

Deprecated:

This function modifies the `timsk` register. The value you pass via `ints` is device specific.

Automatically generated by Doxygen 1.5.7 on 6 Nov 2008.